/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <timklge@gmail.com> wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return. Tim Kluge
 * ----------------------------------------------------------------------------
 */

/**
 * This is a small library which allows Dart-Applications to connect to TeamSpeak3-
 * servers using the ServerQuery protocol as documented here.
 * Using the ServerQuery-protocol, clients can do everything a normal user can do 
 * (including listing, moving and kicking normal clients) except from sending or
 * receiving any voice data.
 * 
 * To get started, create an instance of a [Server] and connect it. 
 */

library TeamSpeak;

import "dart:async";
import "dart:collection";
import "dart:io";
import "dart:convert";
import "package:meta/meta.dart";

part 'client.dart';
part 'packet.dart';

part 'mapping/server.dart';
part 'mapping/channel.dart';
part 'mapping/user.dart';
part 'mapping/events.dart';
