import 'package:unittest/unittest.dart';
import '../lib/teamspeak.dart';

// User login data - needs to be filled in in order to use the test
final String teamspeak_host = "###";
final int teamspeak_serverquery_port = 10011;
final String client_username = "###";
final String client_password = "###";

void main(){
  test('clientlist', (){
    final server = new Server(teamspeak_host,
        username: client_username,
        password: client_password, 
        enableThrottling: true);
    return server
        .connect()
        .then((Server serv){
          final List<String> usernames = server
              .users
              .values
              .map((User u) => u.nickname)
              .toList(growable: false);
          print("Now online: ${usernames.toString()}");
          return true;
        });
    });
}